/*
 * e2e technologies Ltd.
 * Project: java AddOn examples
 * Copyright &#169; 2001-2005 e2e technologies Ltd. All rights reserved.
 * $Id: Product.java,v 1.1 2008/11/15 22:09:47 tzimber Exp $
 */
package ch.e2e.examples.list;



/**
 * Contains the id, description and price of a product.<br><br>
 * Copyright &#169; 2001-2005 E2E technologies Ltd. All rights reserved.
 * @author tzimber
 * @version $Revision: 1.1 $
 */
public class Product {
	/**
	 * The price of the product.
	 */
	private double price;
	/**
	 * The description of the product.
	 */
	private Description description;
	/**
	 * The id of the product.
	 */
	private String id;

	/**
	 * Returns the id of the product.
	 * @return The id of the product.
	 */
	public String getId() {
		return id;
	}

	/**
	 * Sets the id of the product.
	 * @param id The id of the product.
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Returns the description of the product.
	 * @return The description of the product.
	 */
	public Description getDescription() {
		return description;
	}

	/**
	 * Sets the description of the product.
	 * @param description The description of the product.
	 */
	public void setDescription(Description description) {
		this.description = description;
	}

	/**
	 * Returns the price of the product.
	 * @return The price of the product.
	 */
	public double getPrice() {
		return price;
	}

	/**
	 * Sets the price of the product.
	 * @param price The price of the product.
	 */
	public void setPrice(double price) {
		this.price = price;
	}
}
